let
  nixpkgs = fetchTarball "https://github.com/NixOS/nixpkgs/archive/nixos-unstable.tar.gz";
  pkgs = import nixpkgs { config = {}; overlays = []; };
in

pkgs.mkShell {

  packages = with pkgs; [
    bash
    limine.lib
    xorriso
    rustup
    qemu
    gnumake
  ];

  buildInputs = with pkgs; [
    limine.lib
  ];

  shellHook = ''
    rustup default nightly;
    rustup target add x86_64-unknown-none
    export LIMINEDIR="${pkgs.limine}/share/limine"
  '';

}
